Private Endpoint
All operations require authentication.
List private endpoint servicesBeta
Returns the services that can be reached through a private endpoint, with their tiers. Filter by region to restrict services and their tiers to it.
Path parameters
Project ID
Query parameters
Optional region filter. When set, only services offering a tier in this region are returned and each service's tiers are restricted to that region. When omitted, services are listed with their tiers across all regions. An unknown region is rejected.
Headers
Pagination cursor
Pagination size
Response
Service description
Service name
Enabled tiers of the service
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ reference/ privateEndpoint/ serviceAvailability \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "name": "string", "tiers": [ { "bandwidth": 0, "location": { "availabilityZone": "string", "region": "string" }, "name": "L", "port": 0, "transport": "TCP" } ] }]
Get a private endpoint serviceBeta
Returns where one service can be reached through a private endpoint: region, port and transport of each tier.
Path parameters
Name
Project ID
Response
Service description
Service name
Enabled tiers of the service
Example uses name = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ reference/ privateEndpoint/ serviceAvailability/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "name": "string", "tiers": [ { "bandwidth": 0, "location": { "availabilityZone": "string", "region": "string" }, "name": "L", "port": 0, "transport": "TCP" } ]}